package cn.com.poc.agent_application.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.agent_application.entity.BizAgentApplicationApiConversationEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizAgentApplicationApiConversationService extends BaseService {

    BizAgentApplicationApiConversationEntity get(java.lang.Long id) throws Exception;

    BizAgentApplicationApiConversationEntity getByConversationId(String conversationId);

    List<BizAgentApplicationApiConversationEntity> findByExample(BizAgentApplicationApiConversationEntity example, PagingInfo pagingInfo) throws Exception;

    BizAgentApplicationApiConversationEntity save(BizAgentApplicationApiConversationEntity entity) throws Exception;

    BizAgentApplicationApiConversationEntity update(BizAgentApplicationApiConversationEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

}